Bug 510172 - anaconda doesn't detect any properties of existing partitions
anaconda doesn't detect any properties of existing partitions
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-08 00:44 EDT by Allen Kistler
Modified: 2009-07-21 19:21 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-21 19:21:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda.log (13.96 KB, text/plain)
2009-07-08 00:44 EDT, Allen Kistler
no flags Details
storage.log (14.51 KB, text/plain)
2009-07-08 00:44 EDT, Allen Kistler
no flags Details
syslog with HAL errors (floppy?) (31.35 KB, text/plain)
2009-07-08 13:42 EDT, Allen Kistler
no flags Details

  None (edit)
Description Allen Kistler 2009-07-08 00:44:19 EDT
Created attachment 350891 [details]
anaconda.log

Description of problem:
Running 7 July 2009 boot.iso/install.img, anaconda does not detect existing filesystems and partition types already existing.

Version-Release number of selected component (if applicable):
anaconda-12.1

How reproducible:
Always

Steps to Reproduce:
1. Create an installation using any Fedora version
2. Reboot and run the Rawhide install from boot.iso
  
Actual results:
Existing partitions are detected for the layout dialog, but nothing about them other than their existence.

Expected results:
The layout dialog should display all existing layout info.

Additional info:
My test installation had the following layout.
sda1 - /boot (ext2)
sda2 - swap
sda3 - lvm with / (ext2) and free space
Comment 1 Allen Kistler 2009-07-08 00:44:50 EDT
Created attachment 350892 [details]
storage.log
Comment 2 Allen Kistler 2009-07-08 00:59:54 EDT
BTW, just in case it wasn't obvious, I meant the custom layout dialog in Comment 0.
Comment 3 Chris Lumens 2009-07-08 09:54:30 EDT
Are you getting any kernel errors on tty4?  I was seeing this same problem yesterday, but only on some installs - not all.
Comment 4 Allen Kistler 2009-07-08 13:42:25 EDT
Created attachment 350973 [details]
syslog with HAL errors (floppy?)

I don't have any kernel errors on tty4.

I've attached the syslog from another installation attempt.  The only things like an error are two HAL dumps that seem to be associated with the floppy.

Sure enough, I can't mount the floppy in tty2 no matter what options I feed mount.  That seems like a different bug to me, though.
Comment 5 Chris Lumens 2009-07-08 14:57:40 EDT
You've definitely got kernel errors in the log file, though, which is probably preventing HAL from giving us a complete view of hardware.  Reassigning.
Comment 6 Allen Kistler 2009-07-08 18:58:47 EDT
FYI, the kernel version is 2.6.31-0.42.rc2.fc12.i586 in the rawhide images.
Comment 7 Chuck Ebbert 2009-07-14 13:53:29 EDT
So we've reached the point where we can't install on a machine with 256MB of memory? How is this the kernel's fault?
Comment 8 Allen Kistler 2009-07-15 02:24:12 EDT
(In reply to comment #7)
> So we've reached the point where we can't install on a machine with 256MB of
> memory? How is this the kernel's fault?  

The same result occurred with 512MB, although I don't have any log files from that trial.

The error is that anaconda doesn't detect any info about existing partitions (other than their number and size).  I didn't try blowing away the existing layout, but there was every indication that such an installation would have succeeded.  My interest was in reusing the existing partitions, however, so I stopped there.

To completely answer how this situation is "the kernel's fault" would require some telepathy on my part, but I believe CL's rationale is to eliminate kernel errors before attempting to debug anaconda.

I'm currently up against Bug 510966, so I cannot provide further info on this bug at this time.
Comment 9 Allen Kistler 2009-07-21 19:21:11 EDT
This bug appears to be resolved in anaconda-12.3 and kernel-2.6.31-0.81.rc3.git4 with today's (21 July 2009) boot.iso.

Closing...

Note You need to log in before you can comment on or make changes to this bug.